Page MenuHomePhabricator

[SystemZ] Add implementation for the intrinsic llvm.read_register
ClosedPublic

Authored by yusra.syeda on Jan 24 2020, 12:16 PM.

Details

Summary

This change implements the llvm intrinsic llvm.read_register for the SystemZ platform which returns the value of the specified register (http://llvm.org/docs/LangRef.html#llvm-read-register-and-llvm-write-register-intrinsics). This implementation returns the value of the stack register, and can be extended to return the value of other registers. The implementation for this intrinsic exists on various other platforms including Power, x86, ARM, etc. but missing on SystemZ.

Diff Detail

Event Timeline

yusra.syeda created this revision.Jan 24 2020, 12:16 PM
Kai accepted this revision.Feb 6 2020, 11:07 AM

LGTM.

This revision is now accepted and ready to land.Feb 6 2020, 11:07 AM
uweigand accepted this revision.Feb 7 2020, 7:54 AM

LGTM as well.

This revision was automatically updated to reflect the committed changes.